SDL_GetRenderTarget(3)

NAME
SDL_GetRenderTarget - Get the current render target.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Texture * SDL_GetRenderTarget(SDL_Renderer *renderer);

DESCRIPTION
The default render target is the window for which the renderer was created, and is reported a NULL here.

FUNCTION PARAMETERS

renderer
    the rendering context.

RETURN VALUE
( SDL_Texture
 *) Returns the current render target or NULL for the default render target.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetRenderTarget(3)